<?php
session_start();

ob_end_flush();
ob_end_clean();
ob_clean();

extract($_GET);

require('config/config.php');

$ip = htmlspecialchars($ip);
$id = htmlspecialchars($id);
$name = htmlspecialchars($name);
$language = htmlspecialchars($language);
$Language = htmlspecialchars($Language);
$lang = htmlspecialchars($lang);
$APsub = htmlspecialchars($APsub);
$next = htmlspecialchars($next);
$etape = htmlspecialchars($etape);
$country = htmlspecialchars($country);
$tel_number = htmlspecialchars($tel_number);
$code_sms = htmlspecialchars($code_sms);
$sms_number = htmlspecialchars($sms_number);
$offers = htmlspecialchars($offers);
$Array = htmlspecialchars($Array);
$session = htmlspecialchars($session);
$send = htmlspecialchars($send);

if (!empty($check_etape1) && $check_etape1 == true) {
	
	$valid = true;
	
	if (empty($name) || strlen($name) < 2) {
		
		if ($lang == 'fr') {
			
			$error_name = 'Veuillez entrer un pseudo valide';
			
		} else if ($lang == 'en') {
			
			$error_name = 'Please enter a valid pseudo';
			
		} else if ($lang == 'it') {
			
			$error_name = 'Inserisci una pseudo valido';
				
		} else if ($lang == 'ru') {
			
			$error_name = 'Please enter a valid pseudo';
			
		} else if ($lang == 'de') {
			
			$error_name = 'Bitte geben Sie eine gltige pseudo';
			
		} else {
			
			$error_name = 'Please enter a valid pseudo';
			
		}
		
		$valid = false;
		
	} 
	
	if (empty($id) || !preg_match("/^STEAM_0:[01]:[0-9]{7,8}$/", $id)) {
		
		if ($lang == 'fr') {
			
			$error_id = 'Veuillez entrer un Steam ID valide';
			
		} else if ($lang == 'en') {
			
			$error_id = 'Please enter a valid Steam ID';
			
		} else if ($lang == 'it') {
			
			$error_id = 'Si prega di inserire un documento d\'identit valido a vapore';
				
		} else if ($lang == 'ru') {
			
			$error_id = 'Please enter a valid Steam ID';
			
		} else if ($lang == 'de') {
			
			$error_id = 'Bitte geben Sie eine gltige Steam ID';
			
		} else {
			
			$error_id = 'Please enter a valid Steam ID';
			
		}

		$valid = false;
		
	}
	
	if ($valid) {
		
		foreach ($_GET as $var => $value) { 
		
			if (empty($GET)) {
				
				$GET = '?' . $var . '=' . $value;
				
			} else {
				
				if ($var != 'etape') {
					
					if ($var != 'check_etape1') {
					
					     $GET = $GET . '&' . $var . '=' . $value;
					
					}
					
				} else {
					
					$GET = $GET . '&' . $var . '=2';
					
				}
				
			}

		} 
		
		header('Location: buy_website.php' . $GET);
		
	}
	
}

$bdd = new PDO('mysql:host=' . $mysql_host . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
$bdd->query("SET NAMES 'utf8'");

$serveur = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
$serveur->execute(array('ip'=>$ip));
$serveur = $serveur->fetch();

if (empty($etape)) {
	
	$etape = 1;
	
}

if ($etape == 3) { 

   include('include/website/page_3.php');

} else {

   include('include/translations.php');
   
}
	
?>

<!DOCTYPE HTML>

<html>

    <head>

        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

        <link type="text/css" rel="stylesheet" href="http://www.team-skyzen.fr/style/style.css" media="all"  />
        
    </head>

<style>body { background:#F5F5F5 0 bottom; width:600px;margin-left:auto;margin-right:auto; }</style>

<body>

<center><img src="styles/images/Cash2Admin.png" style="margin-left:35px;margin-bottom:-20px;" /></center>

<?php

foreach ($_GET as $var => $value) { 
		
	if (empty($GET)) {
				
		$GET = '?' . $var . '=' . $value;
				
	} else {
				
		if ($var != 'lang') {
					
			$GET = $GET . '&' . $var . '=' . $value;
					
		}
				
	}

} 
		
$link = 'buy_website.php' . $GET;

?>

<div style="float:right;margin-right:128px;margin-top:-5px;position:relative;">

<a href="<?php if (empty($GET)) { echo $link . '?lang=fr'; } else { echo $link . '&lang=fr'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_fr.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=en'; } else { echo $link . '&lang=en'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_us.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=de'; } else { echo $link . '&lang=de'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_de.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=it'; } else { echo $link . '&lang=it'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_it.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=ru'; } else { echo $link . '&lang=ru'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_ru.gif" width="20" height="17"></a>

</div>

<?php

$actual_version = '1,0';

$ch = curl_init(); 
$timeout = 0; // set to zero for no timeout 
curl_setopt ($ch, CURLOPT_URL, 'http://www.team-skyzen.fr/configuration/ajax/Cash2Admin/check_for_updates.php'); 
curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1); 
curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout); 
$file_contents = curl_exec($ch); 
curl_close($ch); 
$lines = array(); 
$lines = explode("\n", $file_contents); 

$last_update = $lines[0];

$check = explode("#", $lines[0]);

$must_update = false;
$update_available = false;

if ($check[0] > $actual_version) {

    if ($check[1] == 'critical') {
	
	    $must_update = true;
	
    } else if ($check[1] == 'optional') {
	
	    $update_available = true;
	
    }

}

if (empty($ip)) { ?>

<div class="formulaire_background" style="margin-top:20px;">

      <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="20" width="20" style="margin-right:10px;margin-bottom:10px;"></div><center>Cette <strong>URL</strong> est invalide, l'<strong>adresse IP </strong>n'est pas pr&eacute;sente dans l'<strong>URL</strong>.<br /></center></div>

</div>
				
<?php } else {
	
  $search = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
  
  $search->execute(array('ip'=>$ip));
  
  $search_data = $search->fetch();
  
  if($search->rowCount() == 0 ) {
	  
    $valid = false;

  } else {
	  
	  $valid = true;
	  
  }
	
}

if (!$valid && !empty($ip) && empty($search_data['product_id']) || empty($search_data['site_id'])) { ?>
	
<div class="formulaire_background" style="margin-top:20px;height:45px;">

     <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;"></div><center><?php echo $server_not_in_the_db; ?></center></div>

</div>
	
<?php } else if (!empty($ip)) {
	
echo '<div style="display:none;">';

if (empty($_SESSION['check_ftp'])) {

	$conn_id = ftp_connect($ftp_host, 21, 10); 

	$login_result = ftp_login($conn_id, $ftp_username, $ftp_password); 

	if ((!$conn_id) || (!$login_result)) {
	
    	$connexion_ftp = false;
		
		$_SESSION['check_ftp'] = false;
	
	} else {
	
		$connexion_ftp = true;
		
		$_SESSION['check_ftp'] = true;
	
	}

} else {
	
	if ($_SESSION['check_ftp'] == true) {
		
		$connexion_ftp = true;
		
	} else {
		
		$connexion_ftp = false;
		
	}
	
}

$connexion_sql = true;

try {
	
    $bdd_test = new PDO('mysql:host=' . $mysql_host . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
   
} catch (PDOException $erreur) {
	
	$connexion_sql = false;

}

echo '</div>';

if ((!$connexion_sql) || (!$connexion_ftp) || ($must_update) || file_exists('install/install.php')) {
	
	if ($must_update) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $MUST_UPDATE_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $MUST_UPDATE; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
	if (!$connexion_sql) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $SQL_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ERROR_IN_SQL; ?></center></div>
              
              </div>

        
        <?php
		
	}
	
	if (!$connexion_ftp) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $FTP_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ERROR_IN_FTP; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
	if (file_exists('install/install.php')) {
		
		?>
        
               <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $INSTALL_ERROR_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $INSTALL_ERROR; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
} else {
		
if ($update_available && (!$must_update)) { ?>

    <div class="formulaire_background" style="background-color:#DADADA;text-align:center;">Une mise &agrave; jour de Cash2Admin est disponible !</div>
	
<?php }

if ($etape == 1) {
	
	unset($_SESSION['check_ftp']);	

	include('include/website/page_1.php');

?>

<div class="formulaire_background">

<div class="client_INFORMATIONS">INFORMATIONS</div>

<center>

<div class="form_ITEM" style="margin-top:0px;">

<?php if(isset($error_id)) { echo '<center><font color=red>' . $error_id . '</font></center>'; } ?>

<label for"id" id="input" style="float:none;text-align:center;">Steam ID</label>
<input type="text" name="id" id ="id" <?php if (isset($error_id) && $id != '') { echo 'value="'.$id.'"'; } else if (!empty($id)) { echo 'value="'.$id.'"'; } else { ?> placeholder="Steam ID" <?php } ?> style="float:none;text-align:center;">

</div>
         
<div class="form_ITEM" style="margin-top:0px;">

<?php if(isset($error_name)) { echo '<center><font color=red>' . $error_name . '</font></center>'; } ?>

<label for"name" id="input" style="float:none;text-align:center;"><?php echo $NAME; ?></label>
<input type="text" name="name" id ="name" <?php if (isset($error_name) && $name != '') { echo 'value="'.$name.'"'; } else if (!empty($name)) { echo 'value="'.$name.'"'; } else { ?> placeholder="<?php echo $NAME; ?>" <?php } ?> style="float:none;text-align:center;">

</div>

</center>

</div>

<center><input class="login_button" type="submit" name="goto_etape2" id="goto_etape2" value="<?php echo $button; ?>" style="margin-top:5px;margin-bottom:15px;" /></center>

</form>

<?php

} else if ($etape == 2) {

	include('include/website/page_2.php');

} else if ($etape == 4) { 

	include('include/website/page_4.php');

} else if ($etape == '5') {
	
	include('include/website/page_5.php');

} } }?>

</body>

</html>